低危 readUByte函数

CVE编号

CVE-2017-9083

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-05-20
漏洞描述
在Evince和其他产品中使用的poppler 0.54.0在JPXStream.cc中的JPXStream :: readUByte函数中有一个NULL指针取消引用。例如,在解析无效的PDF文件时,perf_test实用程序将崩溃(分段错误)。

解决建议
目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:
https://github.com/danigm/poppler
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 freedesktop poppler 0.54.0 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
0
运行在以下环境
系统 debian_10 poppler * Up to
(including)
0.71.0-5
运行在以下环境
系统 debian_11 poppler * Up to
(including)
20.09.0-3.1
运行在以下环境
系统 debian_12 poppler * Up to
(including)
22.02.0-3
运行在以下环境
系统 debian_9 poppler * Up to
(including)
0.48.0-2+deb9u2
运行在以下环境
系统 debian_sid poppler * Up to
(including)
22.02.0-3
运行在以下环境
系统 fedora_24 poppler * Up to
(excluding)
0.41.0-2.fc24
运行在以下环境
系统 fedora_25 poppler * Up to
(excluding)
0.45.0-2.fc25
运行在以下环境
系统 fedora_26 poppler * Up to
(excluding)
0.52.0-2.fc26
运行在以下环境
系统 suse_12 libpoppler44 * Up to
(excluding)
0.24.4-14.3
运行在以下环境
系统 suse_12_SP2 poppler * Up to
(excluding)
0.24.4-14.3.1
运行在以下环境
系统 ubuntu_14.04.6_lts poppler * Up to
(excluding)
0.24.5-2ubuntu4.5
运行在以下环境
系统 ubuntu_16.04 poppler * Up to
(excluding)
0.41.0-0ubuntu1.2
运行在以下环境
系统 ubuntu_16.04.7_lts poppler * Up to
(excluding)
0.41.0-0ubuntu1.2
运行在以下环境
系统 ubuntu_18.04 poppler * Up to
(excluding)
0.48.0-2ubuntu3
运行在以下环境
系统 ubuntu_18.04.5_lts poppler * Up to
(excluding)
0.48.0-2ubuntu3
运行在以下环境
系统 ubuntu_18.10 poppler * Up to
(excluding)
0.48.0-2ubuntu3
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况